Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface HttpPubSubAdapterMBean

public interface HttpPubSubAdapterMBean
extends AdapterMBean

This MBean manages the configuration of a HttpPubSubAdapter instance

Field Summary
`static java.lang.String` | `MBEAN_TYPE`

Fields inherited from class com.bea.wlevs.management.configuration.AdapterMBean
`MBEAN_TYPE`

Fields inherited from class com.bea.wlevs.management.configuration.EventBeanMBean
`MBEAN_TYPE`

Method Summary
`java.lang.String` | `getChannel()` Returns the pub-sub channel
`java.lang.String` | `getEventType()` Returns the event type of events that flow through this HTTP pub-sub channel.
`java.lang.String` | `getServerContextPath()` Return the server context path
`java.lang.String` | `getServerUrl()` Returns the HTTP pub-sub server URL

Methods inherited from interface com.bea.wlevs.management.configuration.EventBeanMBean
`getInstanceProperties, getProvider, getStageClassName`

Methods inherited from interface com.bea.wlevs.management.configuration.StageMBean
`configurePlayback, configurePlaybackWithDuration, configureRecord, configureRecordWithDuration, getPlaybackConfiguration, getRecordConfiguration, isPlayingBack, isRecording, startPlayback, startRecording, stopPlayback, stopRecording`

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getName, getObjectName, getType`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### MBEAN_TYPE

    public static final java.lang.String MBEAN_TYPE

Method Detail

### getServerContextPath

    public java.lang.String getServerContextPath()

  Return the server context path

  Returns:
    String

### getServerUrl

    public java.lang.String getServerUrl()

  Returns the HTTP pub-sub server URL

  Returns:
    String

### getChannel

    public java.lang.String getChannel()

  Returns the pub-sub channel

  Returns:
    String

### getEventType

    public java.lang.String getEventType()

  Returns the event type of events that flow through this HTTP pub-sub channel.

  Returns:
    String - event type name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.